summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2015-12-11 22:26:45 +0100
committerMichał Górny <mgorny@gentoo.org>2015-12-11 22:27:19 +0100
commit44d3345d828af162b2fbfd623dd8f0d7ac4ae2f9 (patch)
treece99f26e85dd3d832f5ecfa8606598a5c27d5a69 /eclass/python-r1.eclass
parentmultilib-build.eclass: Replace non-portable use of 'declare -g' (diff)
downloadgentoo-44d3345d828af162b2fbfd623dd8f0d7ac4ae2f9.tar.gz
gentoo-44d3345d828af162b2fbfd623dd8f0d7ac4ae2f9.tar.bz2
gentoo-44d3345d828af162b2fbfd623dd8f0d7ac4ae2f9.zip
python*-r1.eclass: Replace non-portable use of 'declare -g'
Replace uses of 'declare -g -r' (bash-4.2+) with 'readonly'. Reported by Arfrever.
Diffstat (limited to 'eclass/python-r1.eclass')
-rw-r--r--eclass/python-r1.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/python-r1.eclass b/eclass/python-r1.eclass
index 4b9c6f36e55..5c1f1b3694e 100644
--- a/eclass/python-r1.eclass
+++ b/eclass/python-r1.eclass
@@ -216,8 +216,8 @@ _python_set_globals() {
optflags+=,${flags_st[@]/%/(-)}
IUSE=${flags[*]}
- declare -g -r PYTHON_REQUIRED_USE="|| ( ${flags[*]} )"
- declare -g -r PYTHON_USEDEP=${optflags// /,}
+ readonly PYTHON_REQUIRED_USE="|| ( ${flags[*]} )"
+ readonly PYTHON_USEDEP=${optflags// /,}
# 1) well, python-exec would suffice as an RDEP
# but no point in making this overcomplex, BDEP doesn't hurt anyone